- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libcdr::CDRPathOutputElement Class Reference
Inheritance diagram for libcdr::CDRPathOutputElement:

## Public Member Functions
| CDRPathOutputElement (const librevenge::RVNGPropertyList &propList)
virtual | ~CDRPathOutputElement ()
virtual void | draw (librevenge::RVNGDrawingInterface *painter)
virtual CDROutputElement * | clone ()
Public Member Functions inherited from libcdr::CDROutputElement
| CDROutputElement ()
virtual | ~CDROutputElement ()

## Private Attributes
librevenge::RVNGPropertyList | m_propList

## Constructor & Destructor Documentation

libcdr::CDRPathOutputElement::CDRPathOutputElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by clone().

virtual libcdr::CDRPathOutputElement::~CDRPathOutputElement | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual CDROutputElement* libcdr::CDRPathOutputElement::clone | ( |  | ) |
| inline virtual

Implements libcdr::CDROutputElement.

void libcdr::CDRPathOutputElement::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) |
| virtual

Implements libcdr::CDROutputElement.

## Member Data Documentation

librevenge::RVNGPropertyList libcdr::CDRPathOutputElement::m_propList
| private

Referenced by clone().

The documentation for this class was generated from the following file:

- CDROutputElementList.cpp